przemyslawpluta przemyslawpluta

mongo-edu

15 6 0

Select and download videos and handouts from https://university.mongodb.com courses

Dependencies

Package Locked Requirement Latest Status Changelog
Npms cheerio ^0.20.0 0.22.0

cheerio

Tiny, fast, and elegant implementation of core jQuery designed specifically for the server

This dependency is not matching latest version. Please consider upgrading.

Npms colors ~1.1.2 1.1.2

colors

get colors in your node.js console

This dependency is up-to-date. Congrats and keep going!

Npms easy-table ~1.0.0 1.0.0

easy-table

Nice text table for the CLI

This dependency is up-to-date. Congrats and keep going!

Npms extract-zip ^1.5.0 1.5.0

extract-zip

unzip a zip file into a directory using 100% pure gluten-free organic javascript

This dependency is up-to-date. Congrats and keep going!

Npms filesize ^3.2.1 3.3.0

filesize

JavaScript library to generate a human readable String describing the file size

This dependency is up-to-date. Congrats and keep going!

Npms get-youtube-id ~1.0.0 1.0.0

get-youtube-id

Parse a youtube url returning the video ID.

This dependency is up-to-date. Congrats and keep going!

Npms glob ^7.0.3 7.1.1

glob

a little globber

This dependency is up-to-date. Congrats and keep going!

Npms inquirer ^0.12.0 1.2.3

inquirer

A collection of common interactive command line user interfaces.

This dependency is not matching latest version. Please consider upgrading.

Npms lodash ^4.6.1 4.17.2

lodash

Lodash modular utilities.

This dependency is up-to-date. Congrats and keep going!

Npms mkdirp ~0.5.1 0.5.1

mkdirp

Recursively mkdir, like `mkdir -p`

This dependency is up-to-date. Congrats and keep going!

Npms moment ^2.12.0 2.17.0

moment

Parse, validate, manipulate, and display dates

This dependency is up-to-date. Congrats and keep going!

Npms mv ~2.1.1 2.1.1

mv

fs.rename but works across devices. same as the unix utility 'mv'

This dependency is up-to-date. Congrats and keep going!

Npms path-extra ~3.0.0 4.0.0

path-extra

path-extra contains methods that aren't included in the vanilla Node.js path package.

This dependency is not matching latest version. Please consider upgrading.

Npms pretty-error ~2.0.0 2.0.2

pretty-error

See nodejs errors with less clutter

This dependency is up-to-date. Congrats and keep going!

Npms progress ~1.1.8 1.1.8

progress

Flexible ascii progress bar

This dependency is up-to-date. Congrats and keep going!

Npms request ^2.69.0 2.79.0

request

Simplified HTTP request client.

This dependency is up-to-date. Congrats and keep going!

Npms request-progress ^2.0.1 3.0.0

request-progress

Tracks the download progress of a request made with mikeal/request, giving insight of various metrics including progress percent, download speed and time remaining

This dependency is not matching latest version. Please consider upgrading.

Npms rimraf ^2.5.2 2.5.4

rimraf

A deep deletion module for node (like `rm -rf`)

This dependency is up-to-date. Congrats and keep going!

Npms which ^1.2.4 1.2.12

which

Like which(1) unix command. Find the first instance of an executable in the PATH.

This dependency is up-to-date. Congrats and keep going!

Npms yargs ^4.3.2 6.5.0

yargs

yargs the modern, pirate-themed, successor to optimist.

This dependency is not matching latest version. Please consider upgrading.

Npms youtube-dl ~1.10.5 1.11.1

youtube-dl

youtube-dl driver for node

This dependency is not matching latest version. Please consider upgrading.

Package Locked Requirement Latest Status Changelog
There is no development dependency.